# ZMQContext::getOpt

(PECL zmq >= 1.0.4)

ZMQContext::getOpt — Get context option

### Beschreibung

public ZMQContext::getOpt(string `$key`): mixed

Returns the value of a context option.

### Parameter-Liste

`key`

  An integer representing the option. See the `ZMQ::CTXOPT_*` constants.

### Rückgabewerte

Returns either a String or an Integer depending on `key`. Throws ZMQContextException on error.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open